package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by aaron on 2018. 10. 5.
 *
 * 프로젝트(유닛) 데이터
 */
public class CampaignTreeData {

    int project_id;
    String project_name;
    Boolean is_public;
    ArrayList<ProjectCampaignsTree> listProjectCampaignsTree;

    public CampaignTreeData(int project_id, String project_name, Boolean is_public, ArrayList<ProjectCampaignsTree> listProjectCampaignsTree) {
        this.project_id = project_id;
        this.project_name = project_name;
        this.is_public = is_public;
        this.listProjectCampaignsTree = listProjectCampaignsTree;
    }

    public int getProject_id() {
        return project_id;
    }

    public void setProject_id(int project_id) {
        this.project_id = project_id;
    }

    public String getProject_name() {
        return project_name;
    }

    public void setProject_name(String project_name) {
        this.project_name = project_name;
    }

    public Boolean getIs_public() {
        return is_public;
    }

    public void setIs_public(Boolean is_public) {
        this.is_public = is_public;
    }

    public ArrayList<ProjectCampaignsTree> getListProjectCampaignsTree() {
        return listProjectCampaignsTree;
    }

    public void setListProjectCampaignsTree(ArrayList<ProjectCampaignsTree> listProjectCampaignsTree) {
        this.listProjectCampaignsTree = listProjectCampaignsTree;
    }
}

/*{
    "project_id": 31,
    "project_name": "VIP 신사업 기획",
    "is_public": null,
    "listProjectCampaignsTree": []
}*/